Package org.jboss.modules.management

# Class ResourceLoaderInfo

java.lang.Object
org.jboss.modules.management.ResourceLoaderInfo

public final class ResourceLoaderInfo extends Object
Information about a resource loader.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Constructor
Description
`ResourceLoaderInfo(String type, String location, List<String> paths)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocation()`
Get the resource loader location.
`List<String>`
`getPaths()`
Get the paths list.
`String`
`getType()`
Get the type name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceLoaderInfo

@ConstructorProperties({"type","location","paths"}) public ResourceLoaderInfo(String type, String location, List<String> paths)
Construct a new instance.

Parameters:
  `type` - the type name
  `location` - the physical location of the resource loader (if any)
  `paths` - the paths list

## Method Details

### getType

public String getType()
Get the type name.

Returns:
  the type name

### getLocation

public String getLocation()
Get the resource loader location.

Returns:
  the resource loader location

### getPaths

public List<String> getPaths()
Get the paths list.

Returns:
  the paths list